Package org.pushingpixels.substance.internal.ui

# Class SubstanceTabbedPaneUI.TabbedPaneLayout

java.lang.Object
javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout
org.pushingpixels.substance.internal.ui.SubstanceTabbedPaneUI.TabbedPaneLayout

All Implemented Interfaces:
  `LayoutManager`

Enclosing class:
  `SubstanceTabbedPaneUI`

public class SubstanceTabbedPaneUI.TabbedPaneLayout extends BasicTabbedPaneUI.TabbedPaneLayout
Layout for the tabbed pane.

## Constructor Summary

Constructors
Constructor
Description
`TabbedPaneLayout()`
Creates a new layout.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`normalizeTabRuns(int tabPlacement, int tabCount, int start, int max)`
`protected void`
`padSelectedTab(int tabPlacement, int selectedIndex)`
`protected void`
`rotateTabRuns(int tabPlacement, int selectedRun)`

### Methods inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout

`addLayoutComponent, calculateLayoutInfo, calculateSize, calculateTabRects, layoutContainer, minimumLayoutSize, padTabRun, preferredLayoutSize, preferredTabAreaHeight, preferredTabAreaWidth, removeLayoutComponent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabbedPaneLayout

public TabbedPaneLayout()
Creates a new layout.

## Method Details

### normalizeTabRuns

protected void normalizeTabRuns(int tabPlacement, int tabCount, int start, int max)

Overrides:
  `normalizeTabRuns` in class `BasicTabbedPaneUI.TabbedPaneLayout`

### rotateTabRuns

protected void rotateTabRuns(int tabPlacement, int selectedRun)

Overrides:
  `rotateTabRuns` in class `BasicTabbedPaneUI.TabbedPaneLayout`

### padSelectedTab

protected void padSelectedTab(int tabPlacement, int selectedIndex)

Overrides:
  `padSelectedTab` in class `BasicTabbedPaneUI.TabbedPaneLayout`